| Home | Libraries | People | FAQ | More

## Class bad_function_call

boost::type_erasure::bad_function_call

## Synopsis

    // In header: <boost/type_erasure/exception.hpp>

    class bad_function_call : public invalid_argument {
    public:
      // construct/copy/destruct
      bad_function_call();
    };

## Description

Exception thrown when the arguments to a primitive concept are incorrect.

See Also:

call, require_match

### `bad_function_call` public construct/copy/destruct

1.     bad_function_call();